<?php

// wp_head()の出力タグの消去
	/*remove_action('wp_head', 'wp_enqueue_scripts', 1);
	remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
	remove_action('wp_head', 'feed_links_extra',3,0);
	remove_action('wp_head', 'rsd_link');
	remove_action('wp_head', 'wlwmanifest_link');
	remove_action('wp_head', 'index_rel_link');
	remove_action('wp_head', 'parent_post_rel_link');
	remove_action('wp_head', 'start_post_rel_link');
	remove_action('wp_head', 'rel_canonical');*/
	remove_action('wp_head', 'wp_generator');

//カスタムメニュー
	register_nav_menus( array(
		'global' => 'グローバルナビゲーション',
	));
	//add_theme_support( 'menus' );

//カスタムメニュー　説明
class My_Walker extends Walker_Nav_Menu
{
  function start_el(&$output, $item, $depth, $args) {
    global $wp_query;
    $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
 
    $classes     = empty ( $item->classes ) ? array () : (array) $item->classes;
 
    $classes = empty( $item->classes ) ? array() : (array) $item->classes;
 
    $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
 
    $output .= $indent . '<li id="menu-item-'. $item->ID . '"' . ' class="' . $class_names .'">';
 
    $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
    $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
    $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
    $attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';
 
    $item_output = $args->before;
    $item_output .= '<a'. $attributes .'>';
    $item_output .= $args->link_before . '<span class="menu-title">' . apply_filters( 'the_title', $item->title, $item->ID ) . '</span>' . $args->link_after;
    if ( $item->description ) {
      $item_output .= '<br /><div class="menu-description">' . $item->description . '</div>';
    }
    $item_output .= '</a>';
    $item_output .= $args->after;
 
    $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
  }
}

//カスタムヘッダー
	define( 'NO_HEADER_TEXT', true );
	add_theme_support( 'custom-header', array(
		'width'         => 1000,
		'height'        => 200,
		'default-image' => get_template_directory_uri() . '/img/headerimg.jpg',	
	));
	
//背景画像の変更
	add_theme_support( 'custom-background' );

//投稿とコメントの RSS フィードリンク
	add_theme_support('automatic-feed-links');

//アイキャッチ画像
	add_theme_support( 'post-thumbnails' );
	//　↓width,height,切り抜き(true)orリサイズ(false)
	set_post_thumbnail_size( 90, 90, true );

//ビジュアルエディタ用CSS
	add_editor_style('editor-style.css');

//「続きを読む」クリック後のURLから#more-$id を削除
	function custom_content_more_link( $output ) {
		$output = preg_replace('/#more-[\d]+/i', '', $output );
		return $output;
	}
	add_filter( 'the_content_more_link', 'custom_content_more_link' );

//抜粋　文字数制限
function new_excerpt_mblength($length) {
     return 80;
}
add_filter('excerpt_mblength', 'new_excerpt_mblength');

function new_excerpt_more($post) {
    return '<a href="'. get_permalink($post->ID) . '">' . '...続きを読む' . '</a>';   
}   
add_filter('excerpt_more', 'new_excerpt_more');

//メインウィジェット一覧
//メインウィジェット1
register_sidebar(array(
	'name' => 'メイン（上）',
		'before_widget' => '<section class="post"><div class="box"><div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div></div></section>',
		'before_title' => '<h3 class="posttitle"><span>',
		'after_title' => '</span></h3>',
));

//メインウィジェット2
register_sidebar(array(
	'name' => 'メイン（下）',
		'before_widget' => '<section class="post"><div class="box"><div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div></div></section>',
		'before_title' => '<h3 class="posttitle"><span>',
		'after_title' => '</span></h3>',
));

//サイドバーウィジェット左01
register_sidebar(array(
	'name' => 'サイドバー左（上）',
		'before_widget' => '<section class="box"><div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div></section>',
		'before_title' => '<h3><span>',
		'after_title' => '</span></h3>',
));

//サイドバーウィジェット左02
register_sidebar(array(
	'name' => 'サイドバー左（下 トップ非表示）',
		'before_widget' => '<section class="box"><div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div></section>',
		'before_title' => '<h3><span>',
		'after_title' => '</span></h3>',
));

//サイドバーウィジェット右01
register_sidebar(array(
	'name' => 'サイドバー右（上）',
		'before_widget' => '<section class="box"><div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div></section>',
		'before_title' => '<h3><span>',
		'after_title' => '</span></h3>',
));

//サイドバーウィジェット右02
register_sidebar(array(
	'name' => 'サイドバー右（下 トップ非表示）',
		'before_widget' => '<section class="box"><div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div></section>',
		'before_title' => '<h3><span>',
		'after_title' => '</span></h3>',
));

//フッターウィジェット 左
register_sidebar(array(
	'name' => 'フッター左',
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget' => '</section>',
		'before_title' => '<div class="box"><h3><span>',
		'after_title' => '</span></h3></div>',
));

//フッターウィジェット中 
register_sidebar(array(
	'name' => 'フッター中',
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget' => '</section>',
		'before_title' => '<div class="box"><h3><span>',
		'after_title' => '</span></h3></div>',
));

//フッターウィジェット右 
register_sidebar(array(
	'name' => 'フッター右',
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget' => '</section>',
		'before_title' => '<div class="box"><h3><span>',
		'after_title' => '</span></h3></div>',
));

//ウィジェットオプション 
//ウェルカムメッセージ
$widget_ops = array('classname' => 'widget_welcome', 'description' => __( "TOPページのメインエリアに表示するウェルカムメッセージ") );
wp_register_sidebar_widget('widget_welcome', __('[TOPメイン]ウェルカムメッセージ'), 'wp_widget_welcome', $widget_ops);

//新着記事一覧
$widget_ops = array('classname' => 'widget_new_archive_list', 'description' => __( "TOPページのメインエリアに表示する新着記事一覧") );
wp_register_sidebar_widget('top-news', __('[TOPメイン]新着記事一覧'), 'wp_widget_new_archive_list', $widget_ops);
wp_register_widget_control('top-news', __('[TOPメイン]新着記事一覧'), 'wp_widget_new_archive_list_control' );

//トップ表示記事
$widget_ops = array('classname' => 'widget_top_archive', 'description' => __( "TOPページのメインエリアに指定した記事を表示") );
wp_register_sidebar_widget('widget_top_archive', __('[TOPメイン]トップ表示記事'), 'wp_widget_top_archive', $widget_ops);

?>
<?php
//[TOPメイン]ウェルカムメッセージ
function wp_widget_welcome($args) {
?>
<?php include(TEMPLATEPATH . '/welcome_message.php'); ?>
<?php
}
?>
<?php
// [TOPメイン]トップ表示記事
function wp_widget_top_archive($args) {
?>
<?php include(TEMPLATEPATH . '/top_archive.php'); ?>
<?php
}
?>
<?php
//[TOPメイン]新着記事一覧
function wp_widget_new_archive_list($args) {
	if ( '%BEG_OF_TITLE%' != $args['before_title'] ) {
		if ( $output = wp_cache_get('widget_new_archive_list', 'widget') )
			return print($output);
		ob_start();
	}

	extract($args);
	$options = get_option('widget_new_archive_list');
	$title = empty($options['title']) ? __('新着情報') : apply_filters('widget_title', $options['title']);
	if ( !$number = (int) $options['number'] )
		$number = 10;
	else if ( $number < 1 )
		$number = 1;
	else if ( $number > 15 )
		$number = 15;

	$r = new WP_Query(array('showposts' => $number, 'what_to_show' => 'posts', 'nopaging' => 0, 'post_status' => 'publish', 'caller_get_posts' => 1));
	if ($r->have_posts()) :
?>
<?php include(TEMPLATEPATH . '/new_archive_list.php'); ?>
<?php
		wp_reset_query();
	endif;

	if ( '%BEG_OF_TITLE%' != $args['before_title'] )
		wp_cache_add('widget_new_archive_list', ob_get_flush(), 'widget');
}

function wp_flush_widget_new_archive_list() {
	wp_cache_delete('widget_new_archive_list', 'widget');
}

 //[TOPメイン]新着記事一覧　ウィジェットオプションフォーム
function wp_widget_new_archive_list_control() {
	$options = $newoptions = get_option('widget_new_archive_list');
	if ( isset($_POST["recent-entries-submit2"]) ) {
		$newoptions['title'] = strip_tags(stripslashes($_POST["recent-entries-title2"]));
		$newoptions['number'] = (int) $_POST["recent-entries-number2"];
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('widget_new_archive_list', $options);
		wp_flush_widget_new_archive_list();
	}
	$title = attribute_escape($options['title']);
	if ( !$number = (int) $options['number'] )
		$number = 5;
?>

			<p><label for="recent-entries-title2">タイトル： <input class="widefat" id="recent-entries-title2" name="recent-entries-title2" type="text" value="<?php echo $title; ?>" /></label></p>
			<p>
				<label for="recent-entries-number2">表示する投稿数： <input style="width: 25px; text-align: center;" id="recent-entries-number2" name="recent-entries-number2" type="text" value="<?php echo $number; ?>" /></label>
				<br />
				<small>(最大 10)</small>
			</p>
			<input type="hidden" id="recent-entries-submit2" name="recent-entries-submit2" value="1" />
<?php
}

//サイドバー新着記事一覧
$widget_ops = array('classname' => 'widget_new_archive_list_side', 'description' => __( "サイドバーに表示する新着記事一覧") );
wp_register_sidebar_widget('side-news', __('[サイド]新着記事一覧'), 'wp_widget_new_archive_list_side', $widget_ops);
wp_register_widget_control('side-news', __('[サイド]新着記事一覧'), 'wp_widget_new_archive_list_side_control' );



//[サイド]新着記事一覧
function wp_widget_new_archive_list_side($args) {
	if ( '%BEG_OF_TITLE%' != $args['before_title'] ) {
		if ( $output = wp_cache_get('widget_new_archive_list_side', 'widget') )
			return print($output);
		ob_start();
	}

	extract($args);
	$options = get_option('widget_new_archive_list_side');
	$title = empty($options['title']) ? __('新着情報') : apply_filters('widget_title', $options['title']);
	if ( !$number = (int) $options['number'] )
		$number = 10;
	else if ( $number < 1 )
		$number = 1;
	else if ( $number > 15 )
		$number = 15;

	$r = new WP_Query(array('showposts' => $number, 'what_to_show' => 'posts', 'nopaging' => 0, 'post_status' => 'publish', 'caller_get_posts' => 1));
	if ($r->have_posts()) :
?>
<?php include(TEMPLATEPATH . '/new_archive_list_side.php'); ?>
<?php
		wp_reset_query();
	endif;

	if ( '%BEG_OF_TITLE%' != $args['before_title'] )
		wp_cache_add('widget_new_archive_list_side', ob_get_flush(), 'widget');
}

function wp_flush_widget_new_archive_list_side() {
	wp_cache_delete('widget_new_archive_list_side', 'widget');
}

//[サイド]新着記事一覧　ウィジェットオプションフォーム
function wp_widget_new_archive_list_side_control() {
	$options = $newoptions = get_option('widget_new_archive_list_side');
	if ( isset($_POST["recent-entries-submit2"]) ) {
		$newoptions['title'] = strip_tags(stripslashes($_POST["recent-entries-title2"]));
		$newoptions['number'] = (int) $_POST["recent-entries-number2"];
	}
	if ( $options != $newoptions ) {
		$options = $newoptions;
		update_option('widget_new_archive_list_side', $options);
		wp_flush_widget_new_archive_list_side();
	}
	$title = attribute_escape($options['title']);
	if ( !$number = (int) $options['number'] )
		$number = 5;
?>

			<p><label for="recent-entries-title2">タイトル： <input class="widefat" id="recent-entries-title2" name="recent-entries-title2" type="text" value="<?php echo $title; ?>" /></label></p>
			<p>
				<label for="recent-entries-number2">表示する投稿数： <input style="width: 25px; text-align: center;" id="recent-entries-number2" name="recent-entries-number2" type="text" value="<?php echo $number; ?>" /></label>
				<br />
				<small>(最大 10)</small>
			</p>
			<input type="hidden" id="recent-entries-submit2" name="recent-entries-submit2" value="1" />
<?php
}

/**
 * 外部RSSを表示するショートコード
 *
 * @copyright 2012 WEBZARU | http://www.webzaru.net
 * @license   GNU General Public License Version3
 * @version   1.0.0
 * @since     File available since Release 1.0.0
 */

function myFeed($atts, $content = null)
{
    // ショートコードの引数
    extract(shortcode_atts(array(
        'url' => '', // RSSを取得するURL
        'num' => '', // 表示する件数
    ), $atts));

    // XML読み込み
    $xml = simplexml_load_file($url);

    // カウント数初期値
    $count = 0;

    // 広告のRSS判別用パターン
    $pattern = '/^PR:/';

    // 出力のバッファリングを有効にする
    ob_start();

    // ループ処理開始
    foreach ($xml->channel->item as $entry) :

        // タイトルで広告かチェック
        if (!preg_match($pattern, $entry->title)) :

            // 記事のタイトルを取得 (最初の文字から30バイト)
            $title = mb_substr($entry->title, 0, 30);

            // 記事のURLを取得
            $link  = $entry->link;

            // 投稿日を取得 (2012.2.22の形式にフォーマット)
            $date  = date('Y.m.d', strtotime($entry->pubDate));

            // カウントアップ
            $count++;

            // カウント数チェック
            if ($count > $num) break;

    ?>
   
<li><?php echo $date; ?>:<a href="<?php echo $link; ?>" target="_blank" rel="nofollow" ><?php echo $title; ?>...</a></li>

    <?php
    // ループ処理終了
    endif; endforeach;

    // 出力用バッファの内容を変数に格納
    $content = ob_get_contents();

    // 出力用バッファのクリア
    ob_end_clean();

    // 戻り値
    return $content;
}

// ショートコードタグの定義
add_shortcode('feed', 'myFeed');